package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbNews;
import com.ruoyi.hezhi.domain.vo.NewsVO;

import java.util.List;

/**
 * 新闻咨询Service接口
 *
 * @author ruoyi
 * @date 2024-09-14
 */
public interface ITbNewsService
{
    /**
     * 查询新闻咨询
     *
     * @param newsId 新闻咨询主键
     * @return 新闻咨询
     */
    public TbNews selectTbNewsByNewsId(Long newsId);

    /**
     * 查询新闻咨询列表
     *
     * @param tbNews 新闻咨询
     * @return 新闻咨询集合
     */
    public List<TbNews> selectTbNewsList(TbNews tbNews);

    /**
     * 新增新闻咨询
     *
     * @param tbNews 新闻咨询
     * @return 结果
     */
    public int insertTbNews(TbNews tbNews);

    /**
     * 修改新闻咨询
     *
     * @param tbNews 新闻咨询
     * @return 结果
     */
    public int updateTbNews(TbNews tbNews);

    /**
     * 批量删除新闻咨询
     *
     * @param newsIds 需要删除的新闻咨询主键集合
     * @return 结果
     */
    public int deleteTbNewsByNewsIds(Long[] newsIds);

    /**
     * 删除新闻咨询信息
     *
     * @param newsId 新闻咨询主键
     * @return 结果
     */
    public int deleteTbNewsByNewsId(Long newsId);

    /**
     * 获取新闻列表
     * @return
     */
    public List<NewsVO> getNewsList();

    /**
     * 获取详情
     * @param id
     * @return
     */
    public NewsVO getDetail(Long id);

}
